Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1489023 - [3.4 Backport] Can not start atomic-openshift-node if the system does not have a default route
Summary: [3.4 Backport] Can not start atomic-openshift-node if the system does not hav...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 3.5.1
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.4.z
Assignee: Jacob Tanenbaum
QA Contact: Meng Bo
URL:
Whiteboard:
Depends On: 1462428
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-06 15:36 UTC by Eric Rich
Modified: 2017-12-07 07:11 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: the OpenShift node proxy previously did not support using a specified IP address. Consequence: this bug could prevent correct operation on hosts with multiple network interface cards. Fix: the OpenShift node process already accepts a "--bind-address=<ip address>:<port>" command-line flag and "bindAddress:" config file option for the multiple network interface card case. The proxy functionality has been fixed to respect these options. Result: when --bind-address or bindAddress are used, the OpenShift node proxy should work correctly when the OpenShift node host has multiple network interface cards
Clone Of: 1462428
Environment:
Last Closed: 2017-12-07 07:11:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ose pull 862 0 None None None 2017-09-13 20:10:08 UTC
Github openshift ose pull 908 0 None None None 2017-10-17 20:47:17 UTC
Origin (Github) 14815 0 None None None 2017-09-06 15:36:27 UTC
Red Hat Product Errata RHSA-2017:3389 0 normal SHIPPED_LIVE Moderate: Red Hat OpenShift Enterprise security, bug fix, and enhancement update 2017-12-07 12:09:10 UTC

Comment 1 Ben Bennett 2017-09-13 20:09:35 UTC
https://github.com/openshift/ose/pull/862

Comment 9 Hongan Li 2017-10-31 03:26:02 UTC
verified in atomic-openshift-3.4.1.44.33-1.git.0.d72524e and issue has been fixed.

Comment 12 errata-xmlrpc 2017-12-07 07:11:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3389


Note You need to log in before you can comment on or make changes to this bug.